Package org.eclipse.emf.compare.ide.ui.internal.editor

# Class ComparisonScopeInput

java.lang.Object
org.eclipse.emf.compare.ide.ui.internal.editor.ComparisonScopeInput

All Implemented Interfaces:
  `org.eclipse.compare.structuremergeviewer.ICompareInput`

public class ComparisonScopeInput extends Object implements org.eclipse.compare.structuremergeviewer.ICompareInput

## Constructor Summary

Constructors
Constructor
Description
`ComparisonScopeInput(IComparisonScope scope, AdapterFactory adapterFactory)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addCompareInputChangeListener(org.eclipse.compare.structuremergeviewer.ICompareInputChangeListener listener)`
`void`
`copy(boolean leftToRight)`
`protected void`
`fireChange()`
Fire a compare input change event.
`org.eclipse.compare.ITypedElement`
`getAncestor()`
`IComparisonScope`
`getComparisonScope()`
`org.eclipse.swt.graphics.Image`
`getImage()`
`int`
`getKind()`
`org.eclipse.compare.ITypedElement`
`getLeft()`
`String`
`getName()`
`org.eclipse.compare.ITypedElement`
`getRight()`
`boolean`
`isLeftEditable()`
`boolean`
`isRightEditable()`
`void`
`removeCompareInputChangeListener(org.eclipse.compare.structuremergeviewer.ICompareInputChangeListener listener)`
`void`
`setLeftEditable(boolean leftEditable)`
`void`
`setRightEditable(boolean rightEditable)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ComparisonScopeInput

public ComparisonScopeInput(IComparisonScope scope, AdapterFactory adapterFactory)

## Method Details

### getComparisonScope

public IComparisonScope getComparisonScope()

Returns:
  the scope

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.compare.structuremergeviewer.ICompareInput`
See Also:
  - `ICompareInput.getName()`

### getImage

public org.eclipse.swt.graphics.Image getImage()

Specified by:
  `getImage` in interface `org.eclipse.compare.structuremergeviewer.ICompareInput`
See Also:
  - `ICompareInput.getImage()`

### getKind

public int getKind()

Specified by:
  `getKind` in interface `org.eclipse.compare.structuremergeviewer.ICompareInput`
See Also:
  - `ICompareInput.getKind()`

### getAncestor

public org.eclipse.compare.ITypedElement getAncestor()

Specified by:
  `getAncestor` in interface `org.eclipse.compare.structuremergeviewer.ICompareInput`
See Also:
  - `ICompareInput.getAncestor()`

### getLeft

public org.eclipse.compare.ITypedElement getLeft()

Specified by:
  `getLeft` in interface `org.eclipse.compare.structuremergeviewer.ICompareInput`
See Also:
  - `ICompareInput.getLeft()`

### getRight

public org.eclipse.compare.ITypedElement getRight()

Specified by:
  `getRight` in interface `org.eclipse.compare.structuremergeviewer.ICompareInput`
See Also:
  - `ICompareInput.getRight()`

### setLeftEditable

public void setLeftEditable(boolean leftEditable)

### setRightEditable

public void setRightEditable(boolean rightEditable)

### isLeftEditable

public boolean isLeftEditable()

### isRightEditable

public boolean isRightEditable()

### addCompareInputChangeListener

public void addCompareInputChangeListener(org.eclipse.compare.structuremergeviewer.ICompareInputChangeListener listener)

Specified by:
  `addCompareInputChangeListener` in interface `org.eclipse.compare.structuremergeviewer.ICompareInput`
See Also:
  - `ICompareInput.addCompareInputChangeListener(org.eclipse.compare.structuremergeviewer.ICompareInputChangeListener)`

### removeCompareInputChangeListener

public void removeCompareInputChangeListener(org.eclipse.compare.structuremergeviewer.ICompareInputChangeListener listener)

Specified by:
  `removeCompareInputChangeListener` in interface `org.eclipse.compare.structuremergeviewer.ICompareInput`
See Also:
  - `ICompareInput.removeCompareInputChangeListener(org.eclipse.compare.structuremergeviewer.ICompareInputChangeListener)`

### fireChange

protected void fireChange()
Fire a compare input change event. This method must be called from the UI thread.

### copy

public void copy(boolean leftToRight)

Specified by:
  `copy` in interface `org.eclipse.compare.structuremergeviewer.ICompareInput`
See Also:
  - `ICompareInput.copy(boolean)`